Subject: Re: quesion in DocumentRoot: Linux+Apache1.3 IP-based virtual host+mod_ssl+Tomcat

From: "Joe Pearson" <[email-masked]>
Date: Fri, 8 Mar 2002 10:23:10 -0700

I had some strange problems when I did not have a listen directive in the
conf file.

Listen 11.222.333.44:443
HTH
--
Joe Pearson
Database Management Services, Inc.
208-384-1311 ext. 11
http://www.webdms.com

-----Original Message-----
From: Denis Wang <[email-masked]>
To: [email-masked] <[email-masked]>
Date: Friday, March 08, 2002 10:06 AM
Subject: quesion in DocumentRoot: Linux+Apache1.3 IP-based virtual
host+mod_ssl+Tomcat

>Hello,
>I am trying to config Apache1.3 to host IP-based virtual hosts in a single
daemon with SSL
>enabled.  However, the server always looks for the global DocumentRoot
instead of the virtualhost
>one.  Any input will be highly appreciated!!!!!!
>Details are included below.
>Best regards,
>Denis
>
>> 1. the whole website accessed from http at port 80 works fine
>> 2. .jsp files accessed from https at port 443 work fine
>> 3. .html files acccessed from https at port 443 work fine if in global
DocumentRoot
>> 4. .html files acccessed from https at port 443 NOT work if in
virtualhost DocumentRoot
>
>> *****************************
>> my httpd.conf
>> *****************************
>> <VirtualHost 11.222.333.44>
>> DocumentRoot /usr/jakarta-tomcat-4.0.1/webapps/denis
>> ServerName www.mysite.com
>> VirtualDocumentRoot /usr/jakarta-tomcat-4.0.1/webapps/denis
>> </VirtualHost>
>>
>> <IfDefine SSL>
>> <VirtualHost 11.222.333.44:443>
>> SSLEngine on
>> SSLCipherSuite
ALL:!ADH:!EXPORT56:RC4+RSA:+HIGH:+MEDIUM:+LOW:+SSLv2:+EXP:+eNULL
>> SSLCertificateFile /etc/httpd/conf/ssl.crt/server.crt
>> SSLCertificateKeyFile /etc/httpd/conf/ssl.key/server.key
>>
>> DocumentRoot /usr/jakarta-tomcat-4.0.1/webapps/denis
>> ServerName www.mysite.com
>>
>> ErrorLog logs/surfer2sky_error_log
>> TransferLog logs/surfer2sky_access_log
>> SetEnvIf User-Agent ".*MSIE.*" \
>>          nokeepalive ssl-unclean-shutdown \
>>          downgrade-1.0 force-response-1.0
>> CustomLog logs/ssl_request_log \
>>           "%t %h %{SSL_PROTOCOL}x %{SSL_CIPHER}x \"%r\" %b"
>> VirtualDocumentRoot /usr/jakarta-tomcat-4.0.1/webapps/denis
>> </VirtualHost>
>> </IfDefine>
>>
>>
>> __________________________________________________
>> Do You Yahoo!?
>> Try FREE Yahoo! Mail - the world's greatest free email!
>> http://mail.yahoo.com/
>>
>
>
>__________________________________________________
>Do You Yahoo!?
>Try FREE Yahoo! Mail - the world's greatest free email!
>http://mail.yahoo.com/
>______________________________________________________________________
>Apache Interface to OpenSSL (mod_ssl)                   www.modssl.org
>User Support Mailing List                      [email-masked]
>Automated List Manager                            [email-masked]

______________________________________________________________________
Apache Interface to OpenSSL (mod_ssl)                   www.modssl.org
User Support Mailing List                      [email-masked]
Automated List Manager                            [email-masked]